export interface IStockPrice {
  ticker: string;
  price: number;
  currency: string;
  change: number;
  changePercent: number;
  previousClose: number;
  timestamp: Date;
  provider: string;
  marketState: 'PRE' | 'REGULAR' | 'POST' | 'CLOSED';
  exchange?: string;
  exchangeName?: string;
}

export interface IStockPriceError {
  ticker: string;
  error: string;
  provider: string;
  timestamp: Date;
}

export interface IStockQuoteRequest {
  ticker: string;
  includeExtendedHours?: boolean;
}

export interface IStockBatchQuoteRequest {
  tickers: string[];
  includeExtendedHours?: boolean;
}